Bug 167482 - security/tor-devel: Additional Log directives in config file ignored due to rc script
Summary: security/tor-devel: Additional Log directives in config file ignored due to r...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-01 12:20 UTC by Fabian Keil
Modified: 2012-05-19 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (602 bytes, patch)
2012-05-01 12:20 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2012-05-01 12:20:07 UTC
As of security/tor-devel 0.2.3.9.a, additional log files specified in
torrc are overridden by the default rc script, due to a syntax change
made upstream. Quoting the ChangeLog:

| Changes in version 0.2.3.9-alpha - 2011-12-08
| [...]
| o Minor features (new/different config options):
| [...]
|    - Slightly change behavior of "list" options (that is, config
|      options that can appear more than once) when they appear both in
|      torrc and on the command line. Previously, the command-line options
|      would be appended to the ones from torrc. Now, the command-line
|      options override the torrc options entirely. This new behavior
|      allows the user to override list options (like exit policies and
|      ports to listen on) from the command line, rather than simply
|      appending to the list.
|    - You can get the old (appending) command-line behavior for "list"
|      options by prefixing the option name with a "+".

Fix: The attached patch adds the "+" to the list option, thus getting the previous behavior again.

The alternative would be to remove the --Log option completely, forcing the user to specify all log files in the torrc. As a user with multiple log files I would prefer that, but users with a single log file probably wouldn't.

Patch attached with submission follows:
How-To-Repeat: Add a line like the following to /usr/local/etc/tor/torrc:
Log [app]debug info file /usr/local/var/log/tor/debug.log
restart tor, note that tor doesn't write to the file.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-01 12:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-05-19 18:51:31 UTC
bf          2012-05-19 17:51:18 UTC

  FreeBSD ports repository

  Modified files:
    security/tor-devel   Makefile 
    security/tor-devel/files tor.in 
  Log:
  change the rc-script to permit supplementary Log entries in tor_conf
  
  PR:             167482
  Submitted by:   F. Keil
  
  Revision  Changes    Path
  1.130     +1 -0      ports/security/tor-devel/Makefile
  1.12      +2 -2      ports/security/tor-devel/files/tor.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Brendan Fabeny freebsd_committer 2012-05-19 18:58:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!